using System;
using System.Collections.Generic;
using Modèle;
using Persistance;

namespace StubLib
{
    public class Stub : IPersistanceManager
    {

        private List<Requin> requins = new List<Requin>();

        public Stub()
        {
            List<Zone> zone = new List<Zone> { Zone.ATLANTIQUE };
            List<Zone> zone2 = new List<Zone> { Zone.PACIFIQUE };
            requins.Add(new Requin("mon requin adoré", "trop cool ce requin", "wow il est trop bo", "Images/Dormeur-Mexicain.jpg", "Videos/Vid-dormeur-mexicain.mp4", "Images/rep_Heterodontus_mexicanus.png", Conservation.EW, zone, "(C'est pas un vrai requin)"));
            requins.Add(new Requin("Banane", "Le requin banal", "C'est un requin ultra banal", "Images/White_shark.png", "Videos/Vid-Requin-Blanc.mp4", "Images/rep_Heterodontus_mexicanus.png", Conservation.LC, zone, "Il est pas aussi banal qu'il en a l'air"));
            requins.Add(new Requin("Req1", "Le requin pas banal", "C'est un requin pas ultra banal", "Images/White_shark.png", "Videos/Vid-dormeur-mexicain.mp4", "Images/rep_Heterodontus_mexicanus.png", Conservation.EX, zone2, "Il est vraiment pas banal"));
        }

        public List<Requin> LoadRequins()
        {
            return new List<Requin>(requins);
        }

        public void SaveRequins(List<Requin> reqs)
        {
            requins = reqs;
        }
    }
}
